package com.example.happy_bird;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.geometry.Insets;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.image.*;
import javafx.scene.image.Image;
import javafx.scene.layout.*;
import javafx.scene.text.TextAlignment;
import javafx.stage.Stage;

import java.awt.*;
import java.io.IOException;

public class HappyBirdMain extends Application {

    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage stage) throws IOException {
        Pane stackPane = new Pane();

        Scene scene = new Scene(stackPane, 800, 700);
        stage.setTitle("Happy Bird");
        stage.setScene(scene);

        Image image = new Image("file:src/main/resources/com/example/happy_bird/pics/Background.png");
        BackgroundImage backgroundImageImg = new BackgroundImage(
                image,
                BackgroundRepeat.NO_REPEAT,
                BackgroundRepeat.NO_REPEAT,
                BackgroundPosition.DEFAULT,
                BackgroundSize.DEFAULT
        );

        Background background = new Background(backgroundImageImg);
        stackPane.setBackground(background);

        Label label = new Label("Happy Bird");
        label.setPrefSize(300, 75);
        label.setTextAlignment(TextAlignment.CENTER);
        label.setStyle("-fx-background-color: #DED894; " +
                "-fx-text-fill: #000000; " +
                "-fx-font-size: 35px; " +
                "-fx-border-width: 5px;" +
                "-fx-border-color: #543847;" +
                "-fx-font-weight: bold;" +
                "-fx-alignment: center;" +
                "-fx-background-radius: 20px;" +
                "-fx-border-radius: 15px;");
        label.setLayoutX(250);
        label.setLayoutY(100);

        stackPane.getChildren().addAll(label);

        Button startButton = new Button("START");
        Button highscoresButton = new Button("HIGHSCORES");
        Button einstellungsButton = new Button("EINSTELLUNGEN");

        Button buttons[] = {startButton, highscoresButton, einstellungsButton};

        int yPosition = 225;
        for (Button button : buttons) {
            stackPane.getChildren().add(button);
            button.setPrefSize(200, 50);
            button.setLayoutX(300);
            button.setLayoutY(yPosition);
            yPosition += 100;

            button.setStyle("-fx-background-color: #e86000; " +
                    "-fx-text-fill: #FFFFFF; " +
                    "-fx-font-size: 20px; " +
                    "-fx-border-width: 5px;" +
                    "-fx-border-color: #FFFFFF;" +
                    "-fx-font-weight: bold;" +
                    "-fx-border-radius: 15px;" +
                    "-fx-background-radius: 20px;");
        }

        stage.show();
    }
}
